﻿using System;
using Telerik.XamarinForms.Common;
using Xamarin.Forms;

namespace App2
{
    public partial class MainPage : ContentPage
    {
        MainPageViewModel vm;
        public MainPage()
        {
            InitializeComponent();
            this.vm = new MainPageViewModel();
            this.BindingContext = vm;
        }
        private void TapGestureRecognizer_Tapped(object sender, EventArgs e)
        {
            this.datetimepicker.DefaultHighlightedDate = this.vm.DateTimeNow;
            this.datetimepicker.ToggleCommand.Execute(null);

        }
    }

    public class MainPageViewModel : NotifyPropertyChangedBase
    {
        public DateTime DateTimeNow
        {
            get
            {
                return DateTime.Now;
            }

        }
    }
}
